# SoPointLight Class Reference
[Nodes]

`#include <Inventor/nodes/SoPointLight.h>`

Inheritance diagram for SoPointLight:

List of all members.

## Detailed Description

The SoPointLight class is a node type for light sources.

Pointlights emits light equally in all directions from a specified 3D location.

See also documentation of parent class for important information regarding light sources in general.

## Public Member Functions

| SoPointLight (void)
virtual void | GLRender (SoGLRenderAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFVec3f | location

## Protected Member Functions

virtual | ~SoPointLight ()

## Constructor & Destructor Documentation

SoPointLight::SoPointLight | ( | void |  | ) |

| Constructor.

SoPointLight::~SoPointLight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoPointLight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoLight. Reimplemented in SoPointLightManip.

void SoPointLight::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode. Reimplemented in SoPointLightManip.

## Member Data Documentation

SoSFVec3f SoPointLight::location

| 3D position of lightsource. Default value is <0, 0, 1>.

The documentation for this class was generated from the following files:

- SoPointLight.h
- SoPointLight.cpp